# Uses of Class
org.eclipse.gef.zest.fx.models.NavigationModel.ViewportState

Packages that use NavigationModel.ViewportState
Package
Description
org.eclipse.gef.zest.fx.models
This package provides viewer models to support hiding/unhiding of nodes ( `HidingModel`) as well as semantic zooming (`NavigationModel`).

## Uses of NavigationModel.ViewportState in org.eclipse.gef.zest.fx.models

Methods in org.eclipse.gef.zest.fx.models that return NavigationModel.ViewportState
Modifier and Type
Method
Description
`NavigationModel.ViewportState`
NavigationModel.ViewportState.`getCopy()`
Returns a copy of this `NavigationModel.ViewportState`.
`NavigationModel.ViewportState`
NavigationModel.`getViewportState(Graph graph)`
Retrieves the `NavigationModel.ViewportState` that is currently saved for the given `Graph`.
Methods in org.eclipse.gef.zest.fx.models with parameters of type NavigationModel.ViewportState
Modifier and Type
Method
Description
`void`
NavigationModel.`setViewportState(Graph graph, NavigationModel.ViewportState state)`
Saves the given `NavigationModel.ViewportState` for the given `Graph`.